Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2107 - When Installing from local hard disk, RedHat directory must be root
Summary: When Installing from local hard disk, RedHat directory must be root
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-10 05:52 UTC by Theodore Tso
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-15 15:39:46 UTC


Attachments (Terms of Use)

Description Theodore Tso 1999-04-10 05:52:05 UTC
When installing RedHat from a local hard drive, if the
RedHat directory isn't in the root, the install program
will complain that it can't find the RedHat files.
This is because the check for
/tmp/rhimage/RedHat/base/stage2.img in earlymethods.c is
hardcoded, and so it doesn't matter what directory you
select in the dialog box.  If the RedHat directory isn't at
the top-lvel of the hard drive, you will lose.

Fix is to make earlymethods.c take into account the
directory name given by the user when testing to see if
Redhat/base/stage2.img and ReDHat/base/hdlist exist.

Comment 1 Cristian Gafton 1999-04-12 17:05:59 UTC
assigned to msw

Comment 2 Matt Wilson 1999-04-13 18:29:59 UTC
/* the physical device is mounted on /tmp/hdimage, but all
	   access are through /tmp/rhimage which points to the RedHat
	   directory in /tmp/hdimage */

	dest = alloca(strlen(dir) + 20);
	sprintf(dest, "/tmp/hdimage/%s", dir);

        if (symlink(dest, "/tmp/rhimage")) {

Comment 3 Matt Wilson 1999-04-15 15:39:59 UTC
Fixed in my devel tree.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.